--- modules/access/bda/bda.c~	2007-04-22 13:51:53.000000000 +1000
+++ modules/access/bda/bda.c	2007-04-22 19:44:55.000000000 +1000
@@ -27,10 +27,6 @@
 #include <stdio.h>
 #include <string.h>
 
-#include <vlc/vlc.h>
-#include <vlc_input.h>
-#include <vlc_access.h>
-
 #include "bda.h"
 
 /*****************************************************************************
@@ -279,7 +275,8 @@
 
     memset( p_sys, 0, sizeof( access_sys_t ) );
 
-    for( int i = 0; i < i_param_count; i++ )
+    int i;
+    for( i = 0; i < i_param_count; i++ )
     {
         snprintf( psz_full_name, 128, "%s-%s\0", psz_module,
                   psz_param[i] );
@@ -352,7 +349,8 @@
             i_param_count, MAXPARAM );
             return VLC_EGENERIC;
     }
-    for( int i = 0; i < i_param_count; i++ )
+    int i;
+    for( i = 0; i < i_param_count; i++ )
         b_used[i] = FALSE;
     psz_parser = p_access->psz_path;
     if( strlen( psz_parser ) <= 0 )
@@ -375,7 +373,7 @@
             return VLC_EGENERIC;
         }
         i_this_param = -1;
-        for( int i = 0; i < i_param_count; i++ )
+        for( i = 0; i < i_param_count; i++ )
         {
             if( strncmp( psz_token, psz_param[i], i_param_len ) == 0 )
             {
--- modules/access/bda/bdagraph.cpp~	2007-04-22 13:51:24.000000000 +1000
+++ modules/access/bda/bdagraph.cpp	2007-04-22 13:51:36.000000000 +1000
@@ -27,10 +27,6 @@
 #include <stdio.h>
 #include <string.h>
 
-#include <vlc/vlc.h>
-#include <vlc_input.h>
-#include <vlc_access.h>
-
 /* Needed to call CoInitializeEx */
 #define _WIN32_DCOM
 
--- modules/access/bda/bda.h~	2007-04-22 13:52:09.000000000 +1000
+++ modules/access/bda/bda.h	2007-04-22 19:38:07.000000000 +1000
@@ -39,6 +39,9 @@
 #   define LONGLONG long long
 #endif
 
+#include <vlc/input.h>
+#include <vlc/vout.h>
+
 #ifdef __cplusplus
 class BDAGraph;
 extern "C" {
